Bug 572110 - QEMU documentation directory not owned by package
QEMU documentation directory not owned by package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 05:16 EST by Jan ONDREJ
Modified: 2013-01-09 06:31 EST (History)
13 users (show)

See Also:
Fixed In Version: qemu-0.12.3-8.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 19:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2010-03-10 05:16:50 EST
Description of problem:
QEMU documentation directory is not owned by qemu package. After each update, they qemu is leaving another empty directory in /usr/share/doc/ .

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.3-3.fc12.i686
(f12+virt_preview)

How reproducible:
always

Steps to Reproduce:
1. ls -lad /usr/share/doc/qemu-*

Actual results:
drwxr-xr-x. 2 root root 4096 apr 29  2009 /usr/share/doc/qemu-0.10/
drwxr-xr-x. 2 root root 4096 jún  2  2009 /usr/share/doc/qemu-0.10.4/
drwxr-xr-x. 2 root root 4096 júl 17  2009 /usr/share/doc/qemu-0.10.5/
drwxr-xr-x. 2 root root 4096 júl 30  2009 /usr/share/doc/qemu-0.10.50/
drwxr-xr-x. 2 root root 4096 sep  8  2009 /usr/share/doc/qemu-0.10.91/
drwxr-xr-x. 2 root root 4096 sep 28 18:19 /usr/share/doc/qemu-0.10.92/
drwxr-xr-x. 2 root root 4096 jan 12 08:20 /usr/share/doc/qemu-0.11.0/
drwxr-xr-x. 2 root root 4096 feb  6 08:31 /usr/share/doc/qemu-0.12.1.2/
drwxr-xr-x. 2 root root 4096 mar  1 13:07 /usr/share/doc/qemu-0.12.2/
drwxr-xr-x. 2 root root 4096 mar  1 13:07 /usr/share/doc/qemu-0.12.3/


Expected results:
drwxr-xr-x. 2 root root 4096 mar  1 13:07 /usr/share/doc/qemu-0.12.3/

Additional info:
You should add "%doc %{qemudocdir}" into "files common" section. May be it will be better to change file list of all files in qemudocdir to only directory, all content should be added automatically by rpm.

Please fix this at least for F13, devel and virt-preview, but you can fix this in F11, F12 with any other qemu update.
Comment 1 James Laska 2010-04-08 14:05:36 EDT
The description of this bug and the steps to reproduce don't line up.  From what I can tell, on an F-13 system, the doc files themselves are owned by qemu-common

  # rpm -qf /usr/share/doc/qemu-0.12.3/*
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64
  qemu-common-0.12.3-6.fc13.x86_64

However, as you note above, the directory '/usr/share/doc/qemu-0.12.3/' is not.

The following qemu.spec change would address the issue.  I'm not sure if this is the proper fix though.

--- /tmp/root-rpm/SPECS/qemu.spec	2010-03-15 22:39:56.000000000 -0400
+++ /tmp/qemu.spec	2010-04-08 14:04:52.775288405 -0400
@@ -522,2 +522,3 @@
 %defattr(-,root,root)
+%dir %{qemudocdir}
 %doc %{qemudocdir}/Changelog
Comment 2 Jan ONDREJ 2010-04-08 14:35:48 EDT
(In reply to comment #1)
> The description of this bug and the steps to reproduce don't line up.  From
> what I can tell, on an F-13 system, the doc files themselves are owned by
> qemu-common

Right, they are.

> However, as you note above, the directory '/usr/share/doc/qemu-0.12.3/' is not.

Agree. Try to look, how many /usr/share/doc/qemu-* directories you have and they are not owned by any package.

rpm -qf /usr/share/doc/qemu-

> The following qemu.spec change would address the issue.  I'm not sure if this
> is the proper fix though.
> 
> --- /tmp/root-rpm/SPECS/qemu.spec 2010-03-15 22:39:56.000000000 -0400
> +++ /tmp/qemu.spec 2010-04-08 14:04:52.775288405 -0400
> @@ -522,2 +522,3 @@
>  %defattr(-,root,root)
> +%dir %{qemudocdir}
>  %doc %{qemudocdir}/Changelog    

Looks good. Can somebody apply it?

Another fix can be to define only directory for docs:

%doc %{qemudocdir}

all files under this directory should be added to package automatically.
Please fix this at least for F14 to avoid new directory creation in future.
Comment 3 Fedora Update System 2010-04-22 20:01:57 EDT
qemu-0.12.3-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qemu-0.12.3-8.fc13
Comment 4 Fedora Update System 2010-04-23 02:04:46 EDT
qemu-0.12.3-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qemu-0.12.3-8.fc13
Comment 5 Fedora Update System 2010-05-04 19:51:50 EDT
qemu-0.12.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.